## org.hibernate.type
Class CalendarType

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<Calendar>
              org.hibernate.type.CalendarType

All Implemented Interfaces:
  Serializable, BasicType, SingleColumnType<Calendar>, StringRepresentableType<Calendar>, Type, VersionType<Calendar>, XmlRepresentableType<Calendar>

    public class CalendarType

extends AbstractSingleColumnStandardBasicType<Calendar>
implements VersionType<Calendar>

A type that maps between `TIMESTAMP` and `Calendar`

Author:
  Gavin King, Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static CalendarType` `INSTANCE`

Constructor Summary
`CalendarType()`

Method Summary
`Comparator<Calendar>` `getComparator()` Get a comparator for version values.
`String` `getName()` Returns the abbreviated name of the type.
`String[]` `getRegistrationKeys()` Get the names under which this type should be registered in the type registry.
`Calendar` `next(Calendar current, SessionImplementor session)` Increment the version.
`Calendar` `seed(SessionImplementor session)` Generate an initial version.

Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType
`get, nullSafeGet, nullSafeSet, nullSafeSet, set, sqlType`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType

`assemble, beforeAssemble, compare, deepCopy, deepCopy, disassemble, fromString, fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, getHashCode, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isEqual, isModified, isMutable, isSame, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, registerUnderJavaType, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.VersionType
`isEqual`

Methods inherited from interface org.hibernate.type.Type

`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from interface org.hibernate.type.SingleColumnType
`fromStringValue, get, nullSafeGet, set, toString`

Field Detail

### INSTANCE

    public static final CalendarType INSTANCE

Constructor Detail

### CalendarType

    public CalendarType()

Method Detail

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Returns:
    String the Hibernate type name

### getRegistrationKeys

    public String[] getRegistrationKeys()

  Description copied from interface: `BasicType`
  Get the names under which this type should be registered in the type registry.

  Specified by:
    `getRegistrationKeys` in interface `BasicType`
  Overrides:
    `getRegistrationKeys` in class `AbstractStandardBasicType<Calendar>`
  Returns:
    The keys under which to register this type.

### next

    public Calendar next(Calendar current,
                         SessionImplementor session)

  Description copied from interface: `VersionType`
  Increment the version.

  Specified by:
    `next` in interface `VersionType<Calendar>`
  Parameters:
    `current` - the current version
    `session` - The session from which this request originates.
  Returns:
    an instance of the type

### seed

    public Calendar seed(SessionImplementor session)

  Description copied from interface: `VersionType`
  Generate an initial version.

  Specified by:
    `seed` in interface `VersionType<Calendar>`
  Parameters:
    `session` - The session from which this request originates.
  Returns:
    an instance of the type

### getComparator

    public Comparator<Calendar> getComparator()

  Description copied from interface: `VersionType`
  Get a comparator for version values.

  Specified by:
    `getComparator` in interface `VersionType<Calendar>`
  Returns:
    The comparator to use to compare different version values.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.